Seasons

Generated seasons operations.

GET/v1/seasons/{id}/episodesRead season episodesread
Audience
Integrations · Native API
Authorization
API key or personal access token with the read scope, or a signed-in session
OpenAPI operation ID
get_seasons_id_episodes

Parameters

NameInTypeDescription
idrequiredpathstring
cursorquerystring
limitqueryinteger
playStatequerystring

Responses

200Successapplication/json

Example
{
  "episodes": [
    {
      "addedAt": "2026-10-18T19:30:00Z",
      "audioFacts": {
        "atmos": true,
        "bitDepth": 0,
        "channels": 0,
        "codec": "string",
        "layout": "string",
        "lossless": true,
        "sampleRate": 0
      },
      "available": true,
      "backdropUrl": "https://example.com/…",
      "bookFile": {
        "bookId": "id_8h2k4q",
        "bookTitle": "Fargo",
        "discNumber": 0,
        "localMetadata": {
          "authors": [],
          "description": "string",
          "edition": "string",
          "identifiers": [],
          "language": "en",
          "narrators": [],
          "publishedYear": 0,
          "publisher": "string",
          "series": [],
          "sources": {}
        },
        "localMetadataIssue": "string",
        "localPolicy": {
          "localMode": "string",
          "revision": 0
        },
        "partNumber": 0,
        "sourceBoundary": "string"
      },
      "durationMs": 1800000,
      "durationState": "unrepresentable",
      "episode": {
        "airDate": "string",
        "localIdentityStatus": "string",
        "number": 0,
        "numbering": "string",
        "orderingBasis": "string",
        "providerMatchStatus": "string",
        "seasonId": "id_8h2k4q",
        "seasonNumber": 0,
        "showId": "id_8h2k4q",
        "showTitle": "Fargo",
        "sourceBoundary": "string"
      },
      "fileInfoOpening": "string",
      "id": "id_8h2k4q",
      "kind": "string",
      "libraryId": "id_8h2k4q",
      "missing": true,
      "overview": "string",
      "posterUrl": "https://example.com/…",
      "progressMs": 1800000,
      "song": {
        "albumArtist": "string",
        "albumId": "id_8h2k4q",
        "albumTitle": "Fargo",
        "artist": "string",
        "discNumber": 0,
        "localMetadataIssue": "string",
        "providerArtist": "string",
        "providerMatchStatus": "string",
        "providerObservedAt": "2026-10-18T19:30:00Z",
        "providerRecordingId": "id_8h2k4q",
        "providerReleaseGroupId": "id_8h2k4q",
        "providerReleaseId": "id_8h2k4q",
        "providerReleaseStatus": "string",
        "providerSourceUrl": "https://example.com/…",
        "providerTitle": "Fargo",
        "providerTrackId": "id_8h2k4q",
        "trackNumber": 0
      },
      "sources": [
        {
          "audioCodec": "string",
          "container": "string",
          "durationMs": 1800000,
          "height": 0,
          "id": "id_8h2k4q",
          "videoCodec": "string",
          "width": 0
        }
      ],
      "stillUrl": "https://example.com/…",
      "title": "Fargo",
      "watched": true,
      "year": 0
    }
  ],
  "nextCursor": "eyJvIjoyMH0"
}
Schema
  • episodesarray of objectrequired
    • addedAtstring | any | nullrequired
    • audioFactsobject
      • atmosboolean
      • bitDepthinteger
      • channelsinteger
      • codecstringrequired
      • layoutstring
      • losslessboolean
      • sampleRateinteger
    • availablebooleanrequired
    • backdropUrlstring
    • bookFileobject
      • bookIdstringrequired
      • bookTitlestringrequired
      • discNumberinteger
      • localMetadataobject
        • authorsarray of stringrequired
        • descriptionstring
        • editionstring
        • identifiersarray of objectrequired
          • schemestringrequired
          • valuestringrequired
        • languagestring
        • narratorsarray of stringrequired
        • publishedYearinteger
        • publisherstring
        • seriesarray of objectrequired
          • namestringrequired
          • positionstring
        • sourcesobjectrequired
      • localMetadataIssuestring
      • localPolicyobject
        • localModestringrequired
        • revisionintegerrequired
      • partNumberinteger
      • sourceBoundarystringrequired
    • durationMsinteger≥ 0
    • durationStatestringone of "unrepresentable"
    • episodeobject
      • airDatestring
      • localIdentityStatusstringrequired
      • numberintegerrequired
      • numberingstringrequired
      • orderingBasisstringrequired
      • providerMatchStatusstringrequired
      • seasonIdstring
      • seasonNumberinteger
      • showIdstringrequired
      • showTitlestringrequired
      • sourceBoundarystringrequired
    • fileInfoOpeningstring
    • idstringrequired
    • kindstringrequired
    • libraryIdstringrequired
    • missingbooleanrequired
    • overviewstring
    • posterUrlstring
    • progressMsintegerrequired≥ 0
    • songobject
      • albumArtiststringrequired
      • albumIdstringrequired
      • albumTitlestringrequired
      • artiststringrequired
      • discNumberinteger
      • localMetadataIssuestring
      • providerArtiststring
      • providerMatchStatusstringrequired
      • providerObservedAtstring
      • providerRecordingIdstring
      • providerReleaseGroupIdstring
      • providerReleaseIdstring
      • providerReleaseStatusstringrequired
      • providerSourceUrlstring
      • providerTitlestring
      • providerTrackIdstring
      • trackNumberinteger
    • sourcesarray of object
      • audioCodecstringrequired
      • containerstringrequired
      • durationMsintegerrequired≥ 0
      • heightintegerrequired
      • idstringrequired
      • videoCodecstringrequired
      • widthintegerrequired
    • stillUrlstring
    • titlestringrequired
    • watchedboolean
    • yearinteger
  • nextCursorstringrequired

defaultRequest refused or unavailableapplication/json

Example
{
  "error": {
    "code": "string",
    "message": "string"
  }
}
Schema
  • errorobjectrequired
    • codestringrequired
    • messagestringrequired

Error codesinvalid_requestunauthorizednot_permittednot_foundinternaldatabase_busy

Example request

curl -X GET "http://127.0.0.1:32500/v1/seasons/{id}/episodes" \
  -H "Authorization: Bearer $PORTICO_API_KEY"